/***********************************************************************************************************************
**
** Copyright (C) 2021 BaseALT Ltd.
** Authors: Valery Sinelnikov <greh@basealt.ru>, Ivan Savin <svn17@basealt.ru>
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**
***********************************************************************************************************************/
#ifndef MAKEREQUESTWOOBUS_H
#define MAKEREQUESTWOOBUS_H

#include <glib/gstdio.h>
#include <gio/gio.h>
#include <gmodule.h>

#define CHECKLIST_PREFIX "checklist#"

extern gchar* domainalt;
#define G_LOG_DOMAIN    ((gchar*) domainalt)

gchar* make_request_woobus(const gchar* object_path, const GDBusMethodInfo* method, GVariant *parameters);


#endif // MAKEREQUESTWOOBUS_H
