/***********************************************************************************************************************
**
** Copyright (C) 2021 BaseALT Ltd.
** Authors: Valery Sinelnikov <greh@basealt.ru>, Ivan Savin <svn17@basealt.ru>
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**
***********************************************************************************************************************/
#ifndef SERVICEALTERATOR_H
#define SERVICEALTERATOR_H
#include "alteratormodule.h"
G_BEGIN_DECLS
extern gchar* domainalt;
#define G_LOG_DOMAIN    ((gchar*) domainalt)

#define ALTERATOR_TYPE_SERVICE (alterator_service_get_type())
G_DECLARE_FINAL_TYPE (AlteratorService, alterator_service, ALTERATOR, SERVICE, GObject)

typedef struct _AlteratorService AlteratorService;

AlteratorService*
alterator_service_new(void);

GDBusNodeInfo*
alterator_service_get_introspection_data(AlteratorService* self);

G_END_DECLS

#endif // SERVICEALTERATOR_H
